<?php
if($_COOKIE['iQQol_Administrator']!=IQQOL_SPPASS)
{
    $style->assign("state",'COOKIE失效');
    $style->display('admin/index.html');exit();
}
else {
$_group_power[common] = mysql_fetch_array(mysql_query("SELECT * FROM ".$table."group_power
WHERE name='common'"));

$_group_power[core] = mysql_fetch_array(mysql_query("SELECT * FROM ".$table."group_power
WHERE name='core'"));
    if($_GET['edit']=='yes'){
        $edit=mysql_query("UPDATE ".IQQOL_SQLTABLE."group_power
 SET integral='{$_POST['common']}' 
 WHERE name='common'");
        $edit.=mysql_query("UPDATE ".IQQOL_SQLTABLE."group_power
 SET integral='{$_POST['core']}' 
 WHERE name='core'");
    if($edit){
        $tem_url_return=$_SERVER["PHP_SELF"].'?action=usergroups';
        $state='修改成功'.$field;
        $style->display('admin/status.html');
        exit();
    }else{
        $tem_url_return=$_SERVER["PHP_SELF"].'?action=usergroups';
        $state='修改失败';
        $style->display('admin/status.html');
        exit();
    }
    }
    if(IN_IQQOL){
        $style->display('admin/members/usergroups.html');
    }
}